Subject: [Emacs 28.0.50 Trunk] Error running timer ‘jit-lock-stealth-fontify’: wrong-type-argument timerp

From: Jacob Faibussowitsch <[email-masked]>
Date: Thu, 2 Sep 2021 10:00:11 -0500

Hello,

Full error message:
Error running timer ‘jit-lock-stealth-fontify’: (wrong-type-argument timerp [t nil nil nil nil nil nil nil nil])

To reproduce:
1. Build latest trunk
2. Paste the following into some file, lets call it custom-test.el (I couldn’t figure out a better way to do this)
(custom-set-variables
 '(jit-lock-stealth-time 1))
3. Then load this file and open another file which would trigger fortification:
$ emacs -q --load ./custom-test.el ./lorem.py
4. Check *Messages*, the error should come up every second now

I’ve also gotten the following related errors (but don’t know how to precisely trigger them):
- File mode specification error: (wrong-type-argument timerp [t nil nil nil nil nil nil nil nil])
- custom-initialize-reset: Wrong type argument: timerp, [t nil nil nil nil nil nil nil nil]

Reverting to right before commit 50765f3f511d467ff024dda7c84530c759253d18:
Author: Lars Ingebrigtsen <[email-masked]>
Date:   Tue Aug 31 03:04:22 2021 +0200

    Make run-at-time try harder to run at integral multiples

    * lisp/emacs-lisp/timer.el (timer): Add new slot integral-multiple.
    (timerp): Adjust.
    (timer-event-handler): Recompute the delay if requested
    (bug#39099).
    (run-at-time): Mark the timer as recomputable if given a t
    parameter.

    * src/keyboard.c (decode_timer): Adjust.

Seemed to fix it (but I wasn’t able to figure out exactly what about this PR caused the error).

Best regards,

Jacob Faibussowitsch
(Jacob Fai - booss - oh - vitch)